# saasBomItem

Represents a SaaS application entry in the Bill of Materials with its associated metadata and security information.

### Examples

```graphql
type SaasBomItem {
  id: String
  appId: String
  appName: String
  appType: String
  name: String
  link: String
  category: String
  createdAt: Date
  extraInfo: [ApplicationExtraInfo]
  issuesBySeverity: Severities
}
```

### Fields

| Field                                                                                                                           | Description                                               | Supported fields                                                                                                                                                |
| ------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id `String`                                                                                                                     | Unique identifier of the SaaS BOM item                    |                                                                                                                                                                 |
| appId `String`                                                                                                                  | Unique identifier of the application                      |                                                                                                                                                                 |
| appName `String`                                                                                                                | Name of the application                                   |                                                                                                                                                                 |
| appType `String`                                                                                                                | Type/category of the application                          |                                                                                                                                                                 |
| name `String`                                                                                                                   | Display name of the SaaS BOM item                         |                                                                                                                                                                 |
| link `String`                                                                                                                   | URL or reference link to the application                  |                                                                                                                                                                 |
| category `String`                                                                                                               | Business category of the application                      |                                                                                                                                                                 |
| createdAt `Date`                                                                                                                | Timestamp when the item was created                       |                                                                                                                                                                 |
| extraInfo [`[ApplicationExtraInfo]`](/api-documentation/api-reference/api--application/types/objects/application-extra-info.md) | Additional metadata and information about the application | <p>key <code>String</code><br>link <code>String</code><br>snippet <a href="/pages/IJ3aZy4kr639ScGJKdat"><code>ExtraInfoSnippet</code></a></p>                   |
| issuesBySeverity [`Severities`](/api-documentation/api-reference/api--application/types/objects/severities.md)                  | Security issues grouped by severity levels                | <p>info <code>Int</code><br>low <code>Int</code><br>medium <code>Int</code><br>high <code>Int</code><br>critical <code>Int</code><br>appox <code>Int</code></p> |

### References

#### Fields with this object:

* [{} SaasBomItemsResponse.saasBomItems](/api-documentation/api-reference/api--saas-sbom/types/objects/saas-bom-items-response.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--saas-sbom/types/objects/saas-bom-item.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
